
Infrastructure - Bug #7411

Limit query results returned to 10000 in search index

2015-10-06 18:40 - Robert Waltz

Status: Closed Start date: 2015-10-06

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_solr_extensions Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version: *   

Description

As in the event index, out of memory errors may occur in search if a query is unbounded.

Associated revisions

Revision 16643 - 2015-10-10 01:15 - Robert Waltz

fixes #7411

added a method to SolrSearchHandlerUtil to limit solr results from both search and log event indices to 10000

Revision 16643 - 2015-10-10 01:15 - Robert Waltz

fixes #7411

added a method to SolrSearchHandlerUtil to limit solr results from both search and log event indices to 10000

History

#1 - 2015-10-06 18:40 - Robert Waltz

- Subject changed from Limit query results returned to 10000 in search core to Limit query results returned to 10000 in search index

- Description updated

#2 - 2015-10-10 07:42 - Robert Waltz

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset d1-python:d1_python|r16643.
